ru.bitel.bgbilling.modules.tv.api.server

## Class Module

- java.lang.Object
- - ru.bitel.bgbilling.server.WebMenuBase
  - - bitel.billing.server.ModuleBase
    - - ru.bitel.bgbilling.modules.tv.api.server.Module

- All Implemented Interfaces:
    bitel.billing.server.ApplicationModule, EventListener<Event>, ru.bitel.bgbilling.server.WebMenu

      public class Module
      extends bitel.billing.server.ModuleBase
      implements bitel.billing.server.ApplicationModule, EventListener<Event>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Module.Conf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Module()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getServerPackages()`
    `java.lang.String` | `getStatus(java.sql.Connection con, int mid, int cid)`
    `void` | `lockService(java.sql.Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`
    `void` | `lockServiceNow(java.sql.Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`
    `void` | `moduleAction(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx, int moduleId, Event e)`
    `void` | `notify(Event _e, EventListenerContext ctx)`
    `void` | `serializeContract(java.sql.Connection con, int cid, int mid, javax.xml.stream.XMLStreamWriter tables, boolean onlyCurrent)`
    `void` | `start(java.sql.Connection con, javax.naming.Context ctx, BGModule module)`
    `void` | `unlockService(java.sql.Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`
    `void` | `unlockServiceNow(java.sql.Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, java.math.BigDecimal balance, java.math.BigDecimal limit, boolean lightweight)`

    - ### Methods inherited from class bitel.billing.server.ModuleBase

      `deleteContractServices, enableAutopayment, getDeployment, getObjectEntities, getWebMenuItems, removeAutopayment`

    - ### Methods inherited from class ru.bitel.bgbilling.server.WebMenuBase

      `disableContractWebMenuItems, getContractWebMenuItems, getWebMenuItems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bitel.billing.server.ApplicationModule

      `getDeployment, getObjectEntities`

- - ### Constructor Detail

    - #### Module

          public Module()

  - ### Method Detail

    - #### getServerPackages

          public java.lang.String[] getServerPackages()

      Specified by:
        `getServerPackages` in interface `bitel.billing.server.ApplicationModule`

    - #### start

          public void start(java.sql.Connection con,
                            javax.naming.Context ctx,
                            BGModule module)
                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `start` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `start` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(Event _e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getStatus

          public java.lang.String getStatus(java.sql.Connection con,
                                            int mid,
                                            int cid)
                                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getStatus` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `getStatus` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### lockServiceNow

          public void lockServiceNow(java.sql.Connection con,
                                     int moduleId,
                                     ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                     java.math.BigDecimal balance,
                                     java.math.BigDecimal limit,
                                     boolean lightweight)
                              throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `lockServiceNow` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `lockServiceNow` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### lockService

          public void lockService(java.sql.Connection con,
                                  int moduleId,
                                  ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                  java.math.BigDecimal balance,
                                  java.math.BigDecimal limit,
                                  boolean lightweight)
                           throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `lockService` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `lockService` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### unlockServiceNow

          public void unlockServiceNow(java.sql.Connection con,
                                       int moduleId,
                                       ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                       java.math.BigDecimal balance,
                                       java.math.BigDecimal limit,
                                       boolean lightweight)
                                throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `unlockServiceNow` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `unlockServiceNow` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### unlockService

          public void unlockService(java.sql.Connection con,
                                    int moduleId,
                                    ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime,
                                    java.math.BigDecimal balance,
                                    java.math.BigDecimal limit,
                                    boolean lightweight)
                             throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `unlockService` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `unlockService` in class `bitel.billing.server.ModuleBase`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moduleAction

          public void moduleAction(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx,
                                   int moduleId,
                                   Event e)
                            throws java.lang.Exception

      Specified by:
        `moduleAction` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `moduleAction` in class `bitel.billing.server.ModuleBase`
      Throws:
        `java.lang.Exception`

    - #### serializeContract

          public void serializeContract(java.sql.Connection con,
                                        int cid,
                                        int mid,
                                        javax.xml.stream.XMLStreamWriter tables,
                                        boolean onlyCurrent)
                                 throws java.sql.SQLException,
                                        javax.xml.stream.XMLStreamException

      Specified by:
        `serializeContract` in interface `bitel.billing.server.ApplicationModule`
      Overrides:
        `serializeContract` in class `bitel.billing.server.ModuleBase`
      Throws:
        `java.sql.SQLException`
        `javax.xml.stream.XMLStreamException`